<?php
	$seiten_id = 'kommerzielle';
	$version = '$Id: kommerzielle.php 1203 2017-04-12 06:25:44Z heribert $';
	$titel = 'Frühe kommerzielle Rechner';
	
	require "../../lib/technikum29.php";
?>
    <h2>Frühe kommerzielle Rechner</h2>

    <p>
       Kommerzielle Rechner haben keine oder kaum wissenschaftliche Funktionen und sind speziell auf die Verarbeitung von "großen" Datenmengen ausgelegt. Manchmal ist die Unterscheidung zwischen kommerziellen und wissenschaftlichen Rechnern schwer und die unten stehenden Exemplare sind auch nur kleine kommerzielle Rechner.
	   <br/>Schöne vorwiegend kommerziell eingesetzte EDV-Anlagen (BULL GAMMA 10, GAMMA 55) werden in der Rubrik "Lochkarten-EDV" beschrieben. Ebenso finden Sie unter dieser Rubrik die UNIVAC 9200, welche ebenfalls hauptsächlich für kommerzielle Anwendungen angeboten wurde.</br>
    </p>
	
    <h3 id="olivetti-p203">Olivetti P 203</h3>
    <div class="box left clear-after">
        <img src="/shared/photos/rechnertechnik/olivetti_p203.jpg" alt="Olivetti P203" width="406" height="378" />
        <div class="bildtext">
            <b>Olivetti P 203</b>
			<p>Im Jahre 1967 wurde die <a class="go" href="/de/rechnertechnik/programmierbare.php#101">PROGRAMMA 101</a> (mit etwas vergrößerter Speicherkapazität) mit einer elektrischen Schreibmaschine gekoppelt. So war es möglich, z.B. tabellarische Rechnungen unmittelbar auszudrucken. Jedoch konnten nur Zahlen vom Rechner übernommen werden. Texte musste man nach wie vor manuell auf der Tastatur einfügen. Die elektrische Schreibmaschine konnte man auch separat verwenden.<br>
			Der <a class="go" href="/de/rechnertechnik/speichermedien.php#magnetostriktion">magnetostriktive Speicher</a> hat eine Kapazität von 320 Bytes. Hier wurden u.a. 10 Register mit je 30 Ziffern realisiert.<br>
			Dieser "Personal-Computer" besticht durch seine außergewöhnliche Form und wurde vom berühmten italienischen Designer "Mario Bellini" gestylt. Für das Design hat Olivetti seinerzeit Preise erhalten. Auch heute wird das ästhetische Äußere bewundert. Die nachfolgenden Olivetti Rechner wurden dagegen im Stil der 70er Jahre als schmucklose kantige Würfel präsentiert.<br>
			Der Transport des "Bürorechners" ist allerdings eine echte Herausforderung: 130kg Gewicht am Stück.</p><br>
			<div class="clear-after">
		<a href="/shared/photos/rechnertechnik/p203-1.jpg">	
        <img src="/shared/photos/rechnertechnik/p203-1.jpg" alt="Olivetti P203" width="258" height="180" /></a>
		<a href="/shared/photos/rechnertechnik/p203-2.jpg">
		<img src="/shared/photos/rechnertechnik/p203-2.jpg" alt="Olivetti P203" width="240" height="180" /></a>
		<a href="/shared/photos/rechnertechnik/p203-3.jpg">
		<img src="/shared/photos/rechnertechnik/p203-3.jpg" alt="Olivetti P203" width="240" height="180" /></a></div>
		Die oben stehende Bilder lassen sich vergrößern. Bild 1 zeigt das erste Modell (links) offen und das zweite Modell mit einer schnelleren Schreibmaschine (rechts). Bild 2 ist eine Nahaufnahme. Bild 3 zeigt den gewaltigen Anteil an Mechanik in diesen Computern. Beide Rechner sind voll funktionsfähig.
			
	</div>
	</div>
	
	 
   <h3 id="ncr446">NCR 446</h3>
    
    <div class="box center auto-bildbreite">
        <a href="/de/geraete/ncr446.php"><img src="/shared/photos/rechnertechnik/ncr-446.jpg" alt="NCR 446 Rechner" width="694" height="520" /></a>
        </div>
     		<p>Der<b> NCR 446 </b> ist ein Rechner der 2. Generation (Transistortechnik). Er wurde ab 1966/67 in Deutschland (National Registrier Kassen GmbH, Augsburg) von 4 Ingenieuren entwickelt, die gerade ihr Examen an der Universität absolviert hatten. Im Jahre 1967/68 war er marktreif. Die Architektur ist ungewöhnlich. Das gesamte Programm befindet sich auf dem Lochstreifen im Programmleser. Verknüpfungen werden in einem gefädeltem ROM ausgeführt. Die Anlage wurde als "Elektronische Fakturiermaschine" angeboten, weil das ihr Hauptanwendungsgebiet war. Dennoch verwendeten auch Statiker den Rechner, da er praktisch beliebig programmierbar war (und natürlich immer noch ist!). 
			<br> Die Anlage beinhaltet neben dem Programmleser noch zwei Daten-Lochstreifenleser, einen Lochstreifenstanzer, die Eingabetastatur und eine IBM Kugelkopfmaschine als Drucker.
			Durch Anklicken des Bildes erhält man eine Detailaufnahme.<br>
			Billig war ein Einstieg in die bisher unbekannte Welt des elektronischen Rechnens nebst Textausgabe nicht: Das einfachste Modell ohne Lochstreifenstanzer und ohne zusätzliche Lochstreifen-Datenleser kostete satte 35.000,- DM (ca. 18.000 Euro); das entsprach damals dem Gegenwert von ca. 3 Mittelklasse Autos.<br>
			Dafür war die NCR446 der erste "kleine" kommerzielle Rechner, der Text und integrierte mathematische Berechnungen gleichzeitig ausdrucken konnte. Eine solche "Maschine" befähigte z.B. Statiker, textlich dokumentierte Berechnungen unmittelbar versandfertig aufzulisten. Der Konkurrent von Olivetti (Programma 101, 203) konnte dagegen nur Zahlen auf einem kleinen Streifen bzw. auf der Schreibmaschine ausgeben. 
	     	
		    <br>Es ist herrlich, dem Rechner z.B. bei der Berechnung der Wurzel einer Zahl zuzuschauen. Spätestens dann versteht man, was ein Algorithmus ist! Da sich das Programm auf dem Lochstreifen befindet, kann man jeden Rechenschritt und alle Programmsprünge anhand der Bewegung des Lochstreifens verfolgen.</br>
		    <br>Wenn Sie einen kleinen Einblick in das Innenleben des Rechners während der Reparatur sehen möchten, klicken Sie bitte hier: <a class="go" href="/de/geraete/details-ncr446.php">Reparatureinblicke</a>
		</p>
		
		<h5 id="stanzer">Lochstreifen-Zubehör</h5>
		
		<p>Auch Zubehörteile aus der Zeit der Lochstreifen als Daten- und Programmträger sind recht interessant, verraten sie doch wie man zu Beginn des programmierten Rechnens arbeiten musste.<br>
		In der untenstehenden Abbildung ist links ein "Handlocher" zu sehen, der es erlaubte, 1-Zoll Lochstreifen nach selbstentworfenen Programmen oder Daten zu lochen. Wer den NCR-Rechner in einer abgespeckten Version hatte, verfügte nicht über den Lochstreifenstanzer (rechts im Bild oben)!<br>
		
		<div class="box center auto-bildbreite">
        <img src="/shared/photos/rechnertechnik/handlocher.jpg"  width="682" height="428" />
        <div class="bildtext"><b>Handlocher für Lochstreifen</b> (links) und <b> Tapewinder</b> (rechts)</div>
		</div>
		<p>Nach einer Erläuterung des Inhabers eines Ingenieurbüros für Baustatik lief die Prozedur dann etwa wie folgt ab:<br>
		Zunächst erstellt man das Programm und den dazu gehörigen Text in Reinschrift. Dann musste jedes Zeichen per NCR-Codetabelle in einen 8-Bit-Code für den Lochstreifen übersetzt werden. Sodann durfte die Sekrekärin die vom "Chef" diktierten Ziffernkombination (1 bis 8) eintippen und danach jeweils den Hebel herunterdrücken. Per Handkraft wurden so die Löcher Sprosse für Sprosse hergestellt wobei jede Sprosse (Zeile) genau einem Zeichen entspricht. Das war eine mühsame und zeitraubende Arbeit, insbesondere wenn man sich aus Versehen "verlocht" hat. <br>
	
		Mit der oben abgebildeten NCR-446 Maschine konnten Programme und Daten direkt auf der Schreibmaschinentastatur eingeben und simultan im Lochstreifenstanzer ausgestanzt werden. Dieser "Komfort" kostete jedoch zusätzlich ca. 20.000,- DM (10.000 Euro)!<br>
		Beim Wechsel des Programmlochstreifens ergab sich das Problem, den oft sehr langen Streifen per Hand aufzuwickeln um ihn in einer kleinen Dose verstauen zu können. Dazu gab es von HP einen handlichen akkubetriebenen "Tapewinder". So dauerte das Aufwickeln nur wenige Sekunden.</p>
		
		 
		
		
  <h3 id="nixdorf820">NIXDORF 820</h3> 

     <div class="box center auto-bildbreite">
         <a href="/de/geraete/nixdorf820.php" title="Zur Detailaufnahme der Nixdorf 820-Anlage"><img src="/shared/photos/start/nixdorf_820.jpg" alt="Nixdorf 820 Computer" width="670" height="270" /></a>
         <p class="bildtext"><b>Nixdorf 820</b> mit Lochkartenstanzer und Drucker</p></div>
              <p>Eine Komplettanlage der mittleren Datentechnik: NIXDORF 820 Computer Bj. 1969/70. Einige Besonderheiten machen die Anlage interessant: Konsequente Modultechnik, Magnetkontenleser sowie "<a class="go" href="speichermedien.php#staebchenspeicher">Stäbchenspeicher</a>" als ROM, mit welchem man sich sein Programm selbst fädeln konnte. Die Konsole (Mitte) besteht aus Kugelkopfmaschine, Magnetkontenleser und 2 Lochkartenlesern. Zur Peripherie gehören ein Lochkartenstanzer (links), ein High-Speed-Nadeldrucker (rechts), 2 Magnetband-Kassettenlaufwerke (ohne Abb.) und ein manueller Lochkartenstanzer IBM oder YUKI (siehe oben). Durch Anklicken des Bildes erhält man einen Ausschnitt. 
         </p>
